> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List submitted Bill Pay payments with their business status



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/payments/teams/{team_nanoid}/external_entity/payments
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/payments/teams/{team_nanoid}/external_entity/payments:
    get:
      tags:
        - B2B Bill Pay
      summary: List submitted Bill Pay payments with their business status
      parameters:
        - schema:
            type: string
            enum:
              - awaiting_contact
              - needs_attention
              - processing
              - completed
              - failed
              - canceled
          in: query
          name: status
          required: false
        - schema:
            type: string
            minLength: 1
            maxLength: 250
          in: query
          name: search
          required: false
        - schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          in: query
          name: start_date
          required: false
        - schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          in: query
          name: end_date
          required: false
        - schema:
            default: 30
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: page_size
          required: false
        - schema:
            type: string
            maxLength: 250
          in: query
          name: cursor
          required: false
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^te-.*
          in: path
          name: team_nanoid
          required: true
          description: >-
            Identifier of a Rise team (a workspace below a company).
            15-character nanoid prefixed with `te-`.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      payments:
                        type: array
                        items:
                          type: object
                          properties:
                            payment_nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^pa-.*
                              description: >-
                                Identifier of a single payment. 15-character
                                nanoid prefixed with `pa-`.
                            invoice_nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^iv-.*
                              description: >-
                                Identifier of an invoice. 15-character nanoid
                                prefixed with `iv-`.
                            recipient_nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^us-.*
                              description: >-
                                Identifier of a Rise user. 15-character nanoid
                                prefixed with `us-`.
                            recipient_email:
                              type: string
                              nullable: true
                            recipient_first_name:
                              type: string
                              nullable: true
                            recipient_last_name:
                              type: string
                              nullable: true
                            amount_cents:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            currency:
                              type: string
                            description:
                              type: string
                            created_at:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            status:
                              type: string
                              enum:
                                - awaiting_contact
                                - needs_attention
                                - processing
                                - completed
                                - failed
                                - canceled
                            reason:
                              type: string
                              enum:
                                - awaiting_contact
                                - name_review
                                - verification
                                - releasing
                                - returning
                                - submitting
                                - completed
                                - failed
                                - canceled
                                - status_unavailable
                            transaction_hash:
                              type: string
                              nullable: true
                            transaction_explorer_url:
                              type: string
                              nullable: true
                            contact_action:
                              type: string
                              enum:
                                - cancel
                                - review
                              nullable: true
                          required:
                            - payment_nanoid
                            - invoice_nanoid
                            - recipient_nanoid
                            - recipient_email
                            - recipient_first_name
                            - recipient_last_name
                            - amount_cents
                            - currency
                            - description
                            - created_at
                            - status
                            - reason
                            - transaction_hash
                            - transaction_explorer_url
                            - contact_action
                          additionalProperties: false
                      cursor:
                        type: string
                        nullable: true
                      counts:
                        type: object
                        properties:
                          all:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          awaiting_contact:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          needs_attention:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          processing:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          completed:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          failed:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          canceled:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                        required:
                          - all
                          - awaiting_contact
                          - needs_attention
                          - processing
                          - completed
                          - failed
                          - canceled
                        additionalProperties: false
                    required:
                      - payments
                      - cursor
                      - counts
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Gateway
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````